Skip to main content
GET
/
dispositions
/
{id}
Get a lead disposition outcome record
curl --request GET \
  --url https://api.leadping.ai/dispositions/{id}
{
  "id": "<string>",
  "leadId": "<string>",
  "type": "<string>",
  "outcome": "<string>",
  "oldDispositionId": "<string>",
  "oldDispositionType": "<string>",
  "oldDispositionOutcome": "<string>",
  "newDispositionId": "<string>",
  "notes": "<string>",
  "reason": "<string>",
  "changedByUserId": "<string>",
  "changedByAutomationId": "<string>",
  "changedAt": "2023-11-07T05:31:56Z",
  "timestamp": "2023-11-07T05:31:56Z",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "followUpStatus": "<string>",
  "callbackAt": "2023-11-07T05:31:56Z",
  "taskDueAt": "2023-11-07T05:31:56Z",
  "appointmentStartAt": "2023-11-07T05:31:56Z",
  "appointmentEndAt": "2023-11-07T05:31:56Z",
  "appointmentNotes": "<string>",
  "assignedToUserId": "<string>",
  "relatedCallEventId": "<string>",
  "isMissedCallFollowUp": true,
  "sourceId": "<string>"
}

Path Parameters

id
string
required

The ID of the disposition to retrieve.

Response

Disposition was successfully retrieved.

Response model for disposition data.

id
string

The unique ID for this disposition.

leadId
string

The lead ID associated with this disposition.

type
string

The type classification for this disposition.

outcome
string

The outcome value for this disposition.

category
enum<string> | null

Controlled disposition categories used for reporting, automation, and analytics.

Available options:
Open,
Qualified,
Converted,
Lost,
Invalid,
Duplicate
oldDispositionId
string | null
oldDispositionType
string | null
oldDispositionOutcome
string | null
newDispositionId
string | null
notes
string

The operator or customer notes recorded for this disposition.

reason
string | null

The reason this disposition was changed.

changedByUserId
string | null
changedByAutomationId
string | null
changedAt
string<date-time> | null
changeSource
enum<string> | null

Known sources that can change a lead's current disposition.

Available options:
User,
AI,
Automation,
System,
API
timestamp
string<date-time>

The date and time for the timestamp value on this disposition.

createdAt
string<date-time>

The date and time for the created at value on this disposition.

updatedAt
string<date-time>

The date and time for the updated at value on this disposition.

followUpStatus
string | null

The current follow up status for this disposition.

callbackAt
string<date-time> | null

The date and time for the callback at value on this disposition.

taskDueAt
string<date-time> | null

The date and time for the task due at value on this disposition.

appointmentStartAt
string<date-time> | null

The date and time for the appointment start at value on this disposition.

appointmentEndAt
string<date-time> | null

The date and time for the appointment end at value on this disposition.

appointmentNotes
string | null

The appointment notes value for this disposition.

assignedToUserId
string | null

The assigned to user ID associated with this disposition.

The related call event ID associated with this disposition.

isMissedCallFollowUp
boolean

Whether this disposition is missed call follow up.

sourceId
string | null

The source ID associated with this disposition.